Table of Contents

Class: LogViewViewport | eric3/UI/LogView.py
--- | ---

Internal class representing the viewport of the scrollview.

Base Classes |
--- | ---
QWidget

Methods |
--- | ---
__init__ getChild getWidget getWidgetSize setScrollOffset setScrollOffsetP
| __init__

    __init__ (
            self,
            parent=None,
            name=None,
            )

### Constructor

#### Arguments

parent
  parent widget (QWidget)
name
  name of this widget (string or QString)

| getChild

    getChild ( self )

| getWidget

    getWidget ( self )

### Public method returning the child widget.

#### Returns

child widget

| getWidgetSize

    getWidgetSize ( self )

### Public method to get the size of the child widget.

#### Returns

the size of the child widget (QSize)

| setScrollOffset

    setScrollOffset (
            self,
            x,
            y,
            )

### Sets the scrolling offset for the child widget.

#### Arguments

x
  x-offset (int)
y
  y-offset (int)

| setScrollOffsetP

    setScrollOffsetP ( self,  point )

### Sets the scrolling offset for the child widget.

#### Arguments

point
  scrolling offset (QPoint)

Table of Contents

This document was automatically generated by HappyDoc version 2.1